FreeBSD : adns -- multiple vulnerabilities (08de38d2-e2d0-11ea-9538-0c9d925bbbc0)

critical Nessus Plugin ID 139738

Language:

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

Ian Jackson and the adns project reports :

Vulnerable applications: all adns callers. Exploitable by: the local recursive resolver. Likely worst case: Remote code execution.

Vulnerable applications: those that make SOA queries. Exploitable by:
upstream DNS data sources. Likely worst case: DoS (crash of the adns-using application)

Vulnerable applications: those that use adns_qf_quoteok_query.
Exploitable by: sources of query domain names. Likely worst case: DoS (crash of the adns-using application)

Vulnerable applications: adnshost. Exploitable by: code responsible for framing the input. Likely worst case: DoS (adnshost crashes at EOF).

Solution

Update the affected package.

See Also

http://www.nessus.org/u?dc9e4e17

http://www.nessus.org/u?26bd61e2

Plugin Details

Severity: Critical

ID: 139738

File Name: freebsd_pkg_08de38d2e2d011ea95380c9d925bbbc0.nasl

Version: 1.2

Type: local

Published: 8/21/2020

Updated: 8/25/2020

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:adns, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Ease: No known exploits are available

Patch Publication Date: 8/20/2020

Vulnerability Publication Date: 5/21/2017

Reference Information

CVE: CVE-2017-9103, CVE-2017-9104, CVE-2017-9105, CVE-2017-9106, CVE-2017-9107, CVE-2017-9108, CVE-2017-9109